Bug 1554395 - tmux tab display on fedora it is related to /etc/bashrc [NEEDINFO]
Summary: tmux tab display on fedora it is related to /etc/bashrc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tmux
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-12 15:30 UTC by Eirik Habbestad Helleve
Modified: 2018-11-04 22:08 UTC (History)
4 users (show)

Fixed In Version: tmux-2.8-1.fc27 tmux-2.8-1.fc29 tmux-2.8-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-04 02:13:14 UTC
rosset.filipe: needinfo? (habbis)


Attachments (Terms of Use)

Description Eirik Habbestad Helleve 2018-03-12 15:30:19 UTC
Description of problem:
I have a problem with tmux and the tab display no information on fedora 27 but i have fixed it on my machine.

 The problem was in /etc/bashrc on line 32.

it looks like this 
PROMPT_COMMAND='printf "\033k%s@%s:%s\033\\" "${USER}" "${HOSTNAME%%.*}" "${PWD/#$HOME/\~}"'



Version-Release number of selected component (if applicable):

tmux 2.5
GNU bash, version 4.4.19(1)-release (x86_64-redhat-linux-gnu)

How reproducible:
Every time i install 
fedora

Comment 1 Eirik Habbestad Helleve 2018-03-12 15:50:40 UTC
I accidentally published it before i was finished so sorry if it is a bit confusing.

 I changed line 32 but i needed to only change three characters so from word 41 to 43 in /etc/bashrc to this 
 
 from this \033k%s@%s:%s\033\\ 
  to this  \033]0;%s@%s:%s\033\\
 
So now tmux tabs work.

Comment 2 Filipe Rosset 2018-09-09 01:43:58 UTC
tmux was updated to 2.7, can you please if this issue was fixed? Thanks.

Comment 3 Fedora Update System 2018-10-19 03:54:21 UTC
tmux-2.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf2819314d

Comment 4 Fedora Update System 2018-10-19 03:54:36 UTC
tmux-2.8-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c36ae6f6e

Comment 5 Fedora Update System 2018-10-19 03:54:50 UTC
tmux-2.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8c6b526876

Comment 6 Fedora Update System 2018-10-19 16:43:55 UTC
tmux-2.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8c6b526876

Comment 7 Fedora Update System 2018-10-19 16:53:03 UTC
tmux-2.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf2819314d

Comment 8 Fedora Update System 2018-10-20 19:23:49 UTC
tmux-2.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c36ae6f6e

Comment 9 Fedora Update System 2018-11-04 02:13:14 UTC
tmux-2.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-04 06:50:27 UTC
tmux-2.8-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-04 22:08:11 UTC
tmux-2.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.